UNMKINITRAMFS(8)

NAME
unmkinitramfs - extract content from an initramfs image

SYNOPSIS
unmkinitramfs [-v] initramfs-file directory
unmkinitramfs -h

DESCRIPTION
The unmkinitramfs command extracts the content of a given initramfs image using cpio and the appropriate decompressor command.

The initramfs image may be a single compressed cpio archive, or the concatenation of any number of uncompressed cpio archives optionally followed by a compressed cpio archive.

Earlier versions of this command would in some cases unpack an initramfs consisting of multiple archives into multiple subdirectories of the given directory.

OPTIONS

-h  Display usage information and exit.

-v  Display verbose messages about extraction.

USAGE EXAMPLES

Extract initramfs content of current running kernel:

unmkinitramfs /boot/initrd.img-$(uname -r) initramfs/

BUGS
unmkinitramfs does not support initramfs images with more than one compressed cpio archive.

AUTHOR
The initramfs-tools are written by Maximilian Attems <maks@debian.org> and numerous others.

SEE ALSO
initramfs-tools(7), lsinitramfs(8), mkinitramfs(8), update-initramfs(8).